Package com.google.android.exoplayer2.extractor

## Class FlacFrameReader.SampleNumberHolder

- java.lang.Object
- - com.google.android.exoplayer2.extractor.FlacFrameReader.SampleNumberHolder

- Enclosing class:
    FlacFrameReader

      public static final class FlacFrameReader.SampleNumberHolder
      extends Object

  Holds a sample number.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `sampleNumber` | The sample number.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SampleNumberHolder()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sampleNumber

          public long sampleNumber

      The sample number.

  - ### Constructor Detail

    - #### SampleNumberHolder

          public SampleNumberHolder()